#ifndef _waves_h_
#define _waves_h_

/*
 * Peaks of ECG and plethysmogramm that should be used togeter have to be aligned and be of equal size and sample rate!
 */

/*
 * PLETH WAVES
 * One pleth template, normalized in the range 0-4095.
 */

static int pleth_1[] = { 
158, 162, 166, 170, 174, 179, 183, 187, 191, 196, 200, 204, 209, 213, 217, 222, 226, 231, 236, 241, 246, 250, 256, 261, 266, 271, 277, 282, 288, 293, 299, 305, 311, 317, 323, 330, 336,
342, 349, 356, 362, 369, 376, 383, 390, 397, 404, 412, 419, 426, 434, 442, 450, 458, 466, 475, 484, 493, 502, 512, 521, 532, 542, 553, 565, 577, 589, 602, 616, 630, 645, 661, 677, 694,
712, 730, 750, 770, 791, 813, 836, 860, 885, 911, 938, 965, 994, 1024, 1055, 1087, 1120, 1153, 1188, 1224, 1260, 1297, 1336, 1375, 1415, 1455, 1496, 1538, 1581, 1624, 1668, 1712, 1756,
1801, 1847, 1892, 1938, 1984, 2030, 2076, 2123, 2169, 2215, 2262, 2308, 2354, 2399, 2445, 2490, 2535, 2579, 2624, 2667, 2711, 2754, 2796, 2838, 2880, 2921, 2961, 3001, 3040, 3079, 3117,
3155, 3192, 3228, 3264, 3299, 3334, 3367, 3401, 3433, 3465, 3496, 3526, 3556, 3585, 3613, 3641, 3667, 3693, 3719, 3743, 3767, 3790, 3812, 3833, 3854, 3873, 3892, 3910, 3927, 3944, 3959,
3974, 3988, 4001, 4013, 4024, 4034, 4044, 4053, 4061, 4068, 4074, 4079, 4084, 4088, 4091, 4093, 4095, 4095, 4095, 4095, 4094, 4092, 4089, 4086, 4082, 4078, 4072, 4067, 4060, 4053, 4046,
4037, 4029, 4020, 4010, 4000, 3989, 3978, 3966, 3954, 3941, 3928, 3915, 3901, 3887, 3872, 3857, 3841, 3825, 3809, 3792, 3775, 3757, 3740, 3721, 3703, 3684, 3665, 3646, 3626, 3606, 3586,
3565, 3544, 3523, 3502, 3481, 3459, 3437, 3415, 3393, 3371, 3349, 3326, 3304, 3281, 3258, 3235, 3213, 3190, 3167, 3144, 3121, 3098, 3075, 3052, 3028, 3005, 2982, 2959, 2936, 2913, 2890,
2867, 2844, 2821, 2798, 2775, 2752, 2729, 2705, 2682, 2659, 2636, 2613, 2590, 2567, 2543, 2520, 2497, 2473, 2450, 2427, 2403, 2380, 2356, 2333, 2309, 2285, 2262, 2238, 2214, 2190, 2166,
2142, 2118, 2094, 2070, 2045, 2021, 1997, 1972, 1947, 1923, 1898, 1873, 1848, 1823, 1798, 1773, 1748, 1723, 1697, 1672, 1646, 1620, 1594, 1568, 1542, 1516, 1490, 1464, 1437, 1411, 1384,
1358, 1331, 1305, 1278, 1252, 1225, 1199, 1172, 1146, 1120, 1094, 1068, 1042, 1017, 991, 966, 942, 917, 893, 869, 846, 823, 801, 779, 758, 737, 717, 697, 678, 660, 642, 625, 609, 594,
579, 565, 552, 540, 529, 518, 508, 499, 491, 484, 478, 473, 468, 464, 462, 460, 459, 459, 459, 461, 463, 466, 470, 475, 481, 487, 494, 502, 510, 519, 529, 540, 551, 563, 575, 588, 602,
616, 631, 646, 661, 677, 694, 711, 728, 746, 764, 782, 801, 820, 839, 858, 878, 897, 917, 937, 958, 978, 998, 1018, 1039, 1059, 1080, 1100, 1120, 1141, 1161, 1181, 1201, 1221, 1240, 1260,
1279, 1298, 1317, 1336, 1354, 1372, 1390, 1408, 1425, 1442, 1459, 1476, 1492, 1508, 1523, 1538, 1553, 1568, 1582, 1596, 1609, 1622, 1635, 1647, 1659, 1671, 1682, 1693, 1704, 1714, 1724,
1734, 1743, 1752, 1760, 1769, 1776, 1784, 1791, 1798, 1804, 1810, 1816, 1822, 1827, 1832, 1836, 1840, 1844, 1848, 1851, 1854, 1857, 1859, 1861, 1863, 1864, 1865, 1866, 1867, 1867, 1867,
1867, 1866, 1865, 1864, 1863, 1861, 1859, 1857, 1855, 1852, 1849, 1846, 1842, 1839, 1835, 1831, 1826, 1822, 1817, 1812, 1806, 1801, 1795, 1789, 1783, 1777, 1770, 1763, 1756, 1749, 1742,
1734, 1727, 1719, 1711, 1703, 1695, 1686, 1678, 1669, 1661, 1652, 1643, 1634, 1625, 1615, 1606, 1596, 1587, 1577, 1568, 1558, 1548, 1538, 1528, 1518, 1508, 1498, 1487, 1477, 1466, 1456,
1445, 1435, 1424, 1413, 1402, 1391, 1380, 1369, 1358, 1347, 1335, 1324, 1312, 1301, 1289, 1277, 1266, 1254, 1242, 1230, 1218, 1206, 1194, 1181, 1169, 1157, 1144, 1132, 1120, 1107, 1095,
1082, 1070, 1057, 1045, 1032, 1020, 1007, 995, 982, 970, 957, 945, 932, 920, 907, 895, 883, 870, 858, 845, 833, 820, 808, 796, 783, 771, 758, 746, 734, 721, 709, 696, 684, 672, 659, 647,
635, 623, 610, 598, 586, 574, 562, 550, 538, 526, 514, 502, 490, 479, 467, 456, 445, 433, 422, 411, 401, 390, 379, 369, 359, 349, 339, 329, 319, 310, 300, 291, 282, 273, 265, 256, 248,
239, 231, 223, 215, 208, 200, 193, 185, 178, 171, 164, 157, 151, 144, 138, 131, 125, 119, 113, 108, 102, 96, 91, 86, 81, 76, 71, 66, 62, 57, 53, 49, 45, 42, 38, 35, 32, 29, 26, 23, 21,
18, 16, 14, 12, 11, 9, 8, 7, 6, 5, 4, 4, 3, 3, 2, 2, 2, 0, 0, 2, 4, 6, 9, 11, 14, 16, 19, 22, 25, 28, 31, 34, 38, 41, 44, 48, 51, 55, 59, 63, 66, 70, 74, 78, 82, 86, 91, 95, 99, 103, 107,
112, 116, 120, 124, 128, 133, 137, 141, 145, 149, 154
};


/*
 * ECG WAVES
 * One ecg template, normalized in the range 0-4095.
 */

static int ecg_1[] = { 
581, 578, 574, 568, 562, 555, 548, 540, 533, 527, 522, 518, 516, 515, 515, 517, 520, 524, 529, 534, 540, 546, 553, 559, 566, 572, 578, 585, 592, 599, 607, 615, 624, 633, 642, 652, 661,
669, 677, 684, 689, 693, 695, 696, 695, 692, 688, 684, 678, 673, 668, 664, 661, 659, 660, 661, 665, 669, 675, 681, 688, 694, 699, 703, 705, 704, 702, 697, 689, 680, 669, 658, 646, 634,
623, 613, 605, 599, 596, 595, 595, 598, 602, 608, 613, 618, 623, 626, 628, 628, 627, 624, 619, 613, 607, 601, 596, 592, 589, 589, 590, 594, 599, 606, 614, 623, 631, 639, 645, 649, 651,
650, 646, 640, 632, 623, 612, 602, 592, 584, 577, 574, 574, 576, 582, 590, 601, 613, 625, 637, 647, 656, 661, 663, 661, 656, 647, 635, 620, 603, 586, 568, 551, 535, 519, 505, 492, 479,
466, 451, 433, 412, 386, 355, 319, 277, 231, 183, 134, 88, 48, 17, 0, 1, 24, 73, 151, 260, 402, 577, 784, 1019, 1281, 1563, 1861, 2166, 2472, 2771, 3055, 3316, 3548, 3745, 3901, 4012,
4078, 4095, 4068, 3995, 3882, 3733, 3554, 3350, 3128, 2895, 2658, 2421, 2191, 1972, 1767, 1580, 1411, 1262, 1133, 1021, 927, 848, 781, 726, 679, 638, 603, 571, 541, 514, 488, 465, 443,
424, 408, 395, 386, 380, 379, 381, 386, 393, 402, 413, 423, 432, 440, 446, 449, 450, 447, 443, 436, 427, 418, 408, 399, 390, 383, 379, 376, 375, 377, 380, 385, 391, 397, 403, 408, 412,
414, 415, 413, 411, 406, 401, 394, 388, 381, 375, 370, 367, 365, 364, 365, 368, 371, 375, 380, 384, 388, 391, 394, 394, 394, 392, 389, 385, 380, 375, 370, 365, 361, 357, 355, 353, 353,
354, 355, 358, 360, 363, 365, 367, 368, 369, 368, 367, 365, 362, 358, 354, 350, 346, 343, 339, 337, 335, 333, 333, 332, 332, 333, 333, 333, 332, 331, 330, 328, 325, 322, 318, 314, 309,
305, 301, 297, 294, 291, 289, 287, 285, 284, 283, 281, 279, 277, 275, 271, 267, 262, 257, 251, 245, 238, 232, 225, 219, 214, 209, 205, 201, 198, 196, 195, 193, 192, 191, 190, 189, 188,
186, 183, 181, 178, 175, 172, 169, 167, 165, 164, 164, 165, 167, 170, 173, 178, 183, 188, 194, 200, 207, 213, 218, 224, 229, 234, 239, 244, 249, 254, 259, 264, 271, 278, 285, 294, 303,
312, 323, 334, 345, 356, 368, 380, 392, 403, 415, 426, 437, 448, 459, 469, 480, 491, 501, 512, 522, 532, 542, 552, 561, 570, 578, 585, 592, 597, 602, 605, 607, 608, 609, 608, 607, 605,
603, 600, 598, 595, 592, 589, 586, 584, 581, 579, 576, 574, 572, 570, 568, 565, 563, 561, 558, 556, 554, 551, 549, 547, 545, 543, 541, 540, 538, 536, 535, 533, 531, 529, 526, 524, 521,
518, 515, 512, 509, 506, 503, 501, 499, 497, 495, 494, 494, 493, 493, 494, 494, 495, 495, 496, 497, 498, 498, 499, 499, 499, 500, 500, 501, 501, 502, 503, 504, 505, 506, 508, 509, 510,
511, 512, 513, 514, 514, 514, 513, 513, 512, 511, 509, 508, 507, 506, 506, 504, 503, 501, 499, 497, 496, 494, 493, 492, 491, 490, 488, 487, 486, 485, 483, 482, 480, 478, 476, 474, 472,
471, 469, 468, 467, 468, 469, 470, 472, 475, 480, 481, 483, 485, 487, 486, 486, 486, 485, 485, 485, 485, 485, 486, 487, 488, 489, 490, 492, 494, 495, 497, 498, 499, 497, 496, 495, 494,
493, 492, 492, 492, 493, 495, 497, 500, 503, 507, 508, 509, 510, 511, 512, 512, 511, 509, 508, 506, 504, 503, 501, 499, 497, 496, 494, 493, 492, 491, 490, 488, 487, 486, 485, 483, 482,
480, 478, 476, 474, 472, 471, 469, 468, 467, 466, 467, 468, 469, 470, 472, 473, 474, 476, 477, 478, 480, 481, 482, 483, 484, 484, 485, 486, 486, 487, 487, 486, 487, 488, 489, 490, 492,
494, 495, 497, 498, 499, 500, 500, 500, 499, 499, 497, 496, 495, 494, 493, 492, 492, 492, 493, 495, 497, 500, 503, 507, 511, 515, 519, 523, 526, 529, 531, 533, 533, 534, 533, 532, 531,
530, 529, 527, 526, 525, 525, 526, 526, 528, 529, 531, 534, 536, 539, 541, 543, 545, 547, 548, 549, 549, 549, 549, 549, 548, 548, 548, 549, 549, 550, 551, 553, 554, 556, 557, 559, 561,
562, 563, 564, 565, 565, 565, 566, 567, 568, 569, 571, 573, 575, 577, 579, 582, 584, 585, 587, 587, 588, 587, 587, 585, 584, 582
};

#endif 
